Bug 144954 - Magma arbitrarily chooses cluster infrastructure if multiple are running
Summary: Magma arbitrarily chooses cluster infrastructure if multiple are running
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: magma (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-12 23:05 UTC by Lon Hohberger
Modified: 2009-04-16 20:16 UTC (History)
2 users (show)

Fixed In Version: rhcs4u2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-06 15:53:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lon Hohberger 2005-01-12 23:05:02 UTC
Description of problem:

Magma picks the first cluster infrastructure it can connect to when
initializing.  If two cluster infrastructures are running, then it
will choose the first from the readdir() operation.

While this is a 100% unsupported use case, it is thought that we may
want to protect against this particular situation.

Possible options:
(1) Simplest:
- List plugins in /etc/cluster/magma.conf with full path.  Only try
listed plugins.

(2) A bit more complex:
- Assign priorities to magma plugins.

Comment 2 Lon Hohberger 2005-01-14 00:09:39 UTC
This will be fixed in the following manner, given that this is
configuration unsupported:

(1) Magma will sort the directory entries by name, and try to load
them in alphabetical order (case-sensitive).  Thus, gulm.so will be
tried before sm.so.  It is not neccesary to weigh one infrastructure
over another.

(2) Any file not having the "S_IRUSR" mode bit set will be ignored. 
This is useful for testing.

Comment 3 Lon Hohberger 2005-01-17 18:49:05 UTC
Patches committed to CVS.


Note You need to log in before you can comment on or make changes to this bug.